Update appointment status
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/appointments/{uuid}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{subdomain}.mihu.ai/api/v1/appointments/{uuid}/status"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{subdomain}.mihu.ai/api/v1/appointments/{uuid}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Appointments
Update appointment status
Changes only the appointment status. Use this to approve, move back to pending, or reject an appointment without modifying the time, schedule, contact, notes, or custom answers.
POST
/
api
/
v1
/
appointments
/
{uuid}
/
status
Update appointment status
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Path Parameters
Body
application/json
Available options:
approved, pending, rejected Response
200
Status updated successfully
⌘I
